> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection by Address

Retrieves a single collection by its predicted deployment address. Results are cached for 30 days for optimal performance.

` GET /collections/{predictedAddress} `

Get Collection by Address

Retrieves a single collection by its predicted deployment address. Results are cached for 30 days for optimal performance.

## Servers

- ` https://createkit.b3.fun ` — Production server

## Parameters

### ` predictedAddress ` (path, required)

Predicted deployment address of the collection

- ` value `: type ` string `

  - pattern: ` "^0x[a-fA-F0-9]{40}$" `

## Responses

### ` 200 ` — Collection retrieved successfully

Content type: ` application/json `

- ` value `: type ` object `

  - ` success `: type ` boolean `

    - example: ` true `

  - ` collection `: type ` object ` — Complete NFT collection data

    - ` uuid `: type ` string ` — Unique collection identifier

    - ` predictedAddress `: type ` string ` — Predicted deployment address

      - pattern: ` "^0x[a-fA-F0-9]{40}$" `

    - ` creator `: type ` string ` — Creator wallet address

      - pattern: ` "^0x[a-fA-F0-9]{40}$" `

    - ` gameOwner `: type ` string ` — Game owner wallet address

      - pattern: ` "^0x[a-fA-F0-9]{40}$" `

    - ` gameId `: type ` string `; nullable — Game identifier

    - ` chainId `: type ` integer ` — Blockchain chain ID

    - ` creatorSignature `: type ` string ` — Authorization signature

    - ` name `: type ` string ` — Collection name

    - ` symbol `: type ` string ` — Collection symbol

    - ` baseURI `: type ` string ` — Base URI for metadata

    - ` maxSupply `: type ` string ` — Maximum token supply

    - ` mintPrice `: type ` string ` — Price per mint in ETH

    - ` startTime `: type ` string ` — Mint start timestamp

    - ` endTime `: type ` string ` — Mint end timestamp

    - ` tokenStandard `: type ` string ` — NFT token standard

      - enum: ` ["ERC721","ERC1155"] `

    - ` maxPerWallet `: type ` string ` — Maximum tokens per wallet

    - ` isWhitelistEnabled `: type ` boolean ` — Whitelist status

    - ` image `: type ` string ` — Collection image URL

    - ` description `: type ` string ` — Collection description

    - ` external_url `: type ` string ` — External collection URL

    - ` animation_url `: type ` string ` — Multimedia attachment URL

    - ` attributes `: type ` array ` — Collection attributes

      - ` array item `: type ` object `

        - ` trait_type `: type ` string `

        - ` value `: type ` string `

    - ` createdAt `: type ` string ` — Creation timestamp

    - ` whitelistMerkleRoot `: type ` string `; nullable — Whitelist Merkle root

    - ` referrer `: type ` string `; nullable — Referrer ID

### ` 400 ` — Bad Request - Invalid address format

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` success `, ` error `

  - ` success `: type ` boolean `

    - example: ` false `

  - ` error `: type ` string ` — Error message describing what went wrong

### ` 404 ` — Collection not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` success `, ` error `

  - ` success `: type ` boolean `

    - example: ` false `

  - ` error `: type ` string ` — Error message describing what went wrong

## Request examples

### cURL

```curl
curl -X GET 'https://createkit.b3.fun/collections/string'
```

### JavaScript

```javascript
const response = await fetch('https://createkit.b3.fun/collections/string', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://createkit.b3.fun/collections/string')
print(response.json())
```